/*
 * Special Folders plugin script
 * @version 1.7.1
 */

// callback for app-onload event
if (window.rcmail)
{
  rcmail.addEventListener("init", function(evt) 
  {
    // set css style for special folders
    if (rcmail.env.special_folders_icons)
    {
       $.each(rcmail.env.special_folders_icons, function(i,icon)
       {
          var li = $(rcmail.get_folder_li(i, "", true));
          
          if(typeof(icon) === "string" && li.length > 0)
          {
             li.children('a').css({
                   backgroundImage: "url(" + icon + ")"
                });
          }
       });
    }
  });
}
